[InAppBrowser Plugin] Generation failed due to plugin version incompatibility with MABS
Question
Forge component by OutSystems R&D
Application Type
Mobile

Hello


Please see the below error : 

In Android on 2021-04-19 at 17:46:00 - Generation failed due to plugin version incompatibility with MABS. We recommend that you review the following plugin(s) and retry building the app: cordova-plugin-inappbrowser version 3.1.0-OS3 must be equal or greater than 4.0.0-OS2


Please suggest the how can I remove this error on generating the app using this plugin.

In the extensibility configurations file , the below is the setting :

{

    "plugin": {

        "url": "https://github.com/OutSystems/cordova-plugin-inappbrowser.git#3.1.0-OS3"

    }

}

Thanks!

Hi Arpita,

Please find the discussion and reply on the below :-

https://www.outsystems.com/forums/discussion/57568/cannot-generate-android-app-due-to-cordova-plugin-version/

Hope this would help.


Thanks and regards 

Deepa Tiwari

Hi Arpita,

Try downloading the latest version (2.4.1 or above) of the InAppBrowser plugin from the Forge:

https://www.outsystems.com/forge/component-overview/1558/inappbrowser-plugin

That should hopefully solve your problem.

Kind regards,
Jeroen

Community GuidelinesBe kind and respectful, give credit to the original source of content, and search for duplicates before posting.